Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class AMQP.Access.Request.Builder

    java.lang.Object
      com.rabbitmq.client.AMQP.Access.Request.Builder

Enclosing interface:
  AMQP.Access.Request

    public static final class AMQP.Access.Request.Builder

extends java.lang.Object

Constructor Summary
`AMQP.Access.Request.Builder()`

Method Summary
`AMQP.Access.Request.Builder` | `active()`
`AMQP.Access.Request.Builder` | `active(boolean active)`
`AMQP.Access.Request` | `build()`
`AMQP.Access.Request.Builder` | `exclusive()`
`AMQP.Access.Request.Builder` | `exclusive(boolean exclusive)`
`AMQP.Access.Request.Builder` | `passive()`
`AMQP.Access.Request.Builder` | `passive(boolean passive)`
`AMQP.Access.Request.Builder` | `read()`
`AMQP.Access.Request.Builder` | `read(boolean read)`
`AMQP.Access.Request.Builder` | `realm(java.lang.String realm)`
`AMQP.Access.Request.Builder` | `write()`
`AMQP.Access.Request.Builder` | `write(boolean write)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQP.Access.Request.Builder

    public AMQP.Access.Request.Builder()

Method Detail

### realm

    public AMQP.Access.Request.Builder realm(java.lang.String realm)

### exclusive

    public AMQP.Access.Request.Builder exclusive(boolean exclusive)

### exclusive

    public AMQP.Access.Request.Builder exclusive()

### passive

    public AMQP.Access.Request.Builder passive(boolean passive)

### passive

    public AMQP.Access.Request.Builder passive()

### active

    public AMQP.Access.Request.Builder active(boolean active)

### active

    public AMQP.Access.Request.Builder active()

### write

    public AMQP.Access.Request.Builder write(boolean write)

### write

    public AMQP.Access.Request.Builder write()

### read

    public AMQP.Access.Request.Builder read(boolean read)

### read

    public AMQP.Access.Request.Builder read()

### build

    public AMQP.Access.Request build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD